import { Context, Worker } from '@jfrog-pipelines/microservice';
import { ServiceMetaType } from '@jfrog-pipelines/utility';
export declare class NodePoolWorker implements Worker {
    private readonly details;
    private readonly context;
    private readonly logger;
    private readonly nodePoolService;
    private readonly systemProperties;
    constructor(details: ServiceMetaType, context: Context);
    process(message: {
        [key: string]: unknown;
    }): Promise<void>;
    startCollectingOrphanNodes(): Promise<void>;
    private processNodePool;
    private getRequiredNodes;
    private collectOrphanNodes;
}
