export = self;
declare var self: typeof Adapter;
declare function Adapter(accessKeyId: any, secretAccessKey: any, region: any, sessionToken: any): void;
declare class Adapter {
    constructor(accessKeyId: any, secretAccessKey: any, region: any, sessionToken: any);
    config: {};
    aws_access_key_id: any;
    aws_secret_access_key: any;
    region: any;
    sessionToken: any;
    apiVersions: string;
    initialized: boolean;
    initialize(callback: any): any;
    ec2Config: {
        accessKeyId: any;
        secretAccessKey: any;
        region: any;
        sessionToken: any;
        apiVersions: string;
        httpOptions: {
            timeout: number;
        };
        maxRetries: number;
    } | undefined;
    ecsConfig: {
        accessKeyId: any;
        secretAccessKey: any;
        region: any;
        sessionToken: any;
        apiVersions: string;
        httpOptions: {
            timeout: number;
        };
        retryDelayOptions: {
            base: number;
        };
        maxRetries: number;
    } | undefined;
    s3Config: {
        accessKeyId: any;
        secretAccessKey: any;
        region: any;
        apiVersions: string;
        sessionToken: any;
        httpOptions: {
            timeout: number;
        };
        signatureVersion: string;
    } | undefined;
    ec2: AWS.EC2 | undefined;
    iam: AWS.IAM | undefined;
    ecs: AWS.ECS | undefined;
    elb: AWS.ELB | undefined;
    s3: AWS.S3 | undefined;
    sts: AWS.STS | undefined;
    applicationautoscaling: AWS.ApplicationAutoScaling | undefined;
    cloudwatch: AWS.CloudWatch | undefined;
    EC2: {} | undefined;
    IAM: {} | undefined;
    ECS: {} | undefined;
    ELB: {} | undefined;
    S3: {} | undefined;
    STS: {} | undefined;
    ApplicationAutoScaling: {} | undefined;
    CloudWatch: {} | undefined;
    isValidRole(rolePolicy: any): boolean;
}
declare namespace Adapter {
    function generateGetLoadBalancersHash(params: any): {
        LoadBalancerNames: any[];
    };
    function generateNewELBMultiListenerHash(params: any): {
        Listeners: any[];
        LoadBalancerName: any;
    };
    function generateNewELBListenerHash(params: any): {
        Listeners: {
            InstancePort: any;
            LoadBalancerPort: any;
            Protocol: any;
            InstanceProtocol: any;
            SSLCertificateId: string;
        }[];
        LoadBalancerName: any;
    };
    function generateDeleteELBMultiListenerHash(params: any): {
        LoadBalancerPorts: any;
        LoadBalancerName: any;
    };
    function generateDeleteELBListenerHash(params: any): {
        LoadBalancerPorts: any[];
        LoadBalancerName: any;
    };
    function generateELBConfigureHealthCheckHash(params: any): {
        HealthCheck: {
            HealthyThreshold: number;
            Interval: number;
            Target: string;
            Timeout: number;
            UnhealthyThreshold: number;
        };
        LoadBalancerName: any;
    };
}
import AWS = require("aws-sdk");
