export const WAITING: 4005;
export const QUEUED: 4000;
export const PROCESSING: 4001;
export const READY: 4016;
export const SUCCESS: 4002;
export const SKIPPED: 4008;
export const UNSTABLE: 4007;
export const TIMEOUT: 4009;
export const CANCELED: 4006;
export const FAILED: 4003;
export const STOPPED: 4010;
export const DELETED: 4011;
export const CACHED: 4012;
export const CANCELLING: 4013;
export const TIMINGOUT: 4014;
export const names: string[];
export namespace statusPriorityMap {
    const success: number;
    const skipped: number;
    const cancelled: number;
    const timeout: number;
    const unstable: number;
    const error: number;
    const failure: number;
    const waiting: number;
}
export function lookup(code: any, subset: any): null;
export namespace idle {
    export { statusNames as names };
    import lookup = buildItem.lookup;
    export { lookup };
}
export namespace processing { }
export namespace incomplete { }
export namespace started { }
export namespace complete { }
export namespace successful { }
export namespace unsuccessful { }
export namespace buildGroup { }
export { ___opt_app_root_src_services_nodepool_service_src_marshaller_statusCodes_ as buildItem };
export namespace activeCellStates { }
export function pendingLookup(code: any): boolean;
export function idleLookup(code: any): boolean;
export function processingLookup(code: any): boolean;
export function activeLookup(code: any): boolean;
export function completedLookup(code: any): boolean;
export function failedLookup(code: any): boolean;
export function successLookup(code: any): boolean;
export function extractList(statusNames: any): any[];
declare var statusNames: any;
declare namespace ___opt_app_root_src_services_nodepool_service_src_marshaller_statusCodes_ { }
