import { BuildPlaneMessageAttributes } from '@jfrog-pipelines/types';
import { StepDataAdapter } from './StepDataAdapter';
export declare class ApiStepDataAdapter implements StepDataAdapter {
    private readonly client;
    private readonly properties;
    constructor();
    getBuildPlaneMessages(queryString: string): Promise<BuildPlaneMessageAttributes[]>;
    putBuildPlaneMessageById(messageId: number, message: Partial<BuildPlaneMessageAttributes | {
        resetBuildPlaneMessage: boolean;
    }>): Promise<BuildPlaneMessageAttributes>;
}
