import { ProjectAttributes, ProjectIntegrationResponse } from '@jfrog-pipelines/types';
import { UserDataAdapter } from './UserDataAdapter';
export declare class ApiUserDataAdapter implements UserDataAdapter {
    private readonly client;
    private readonly properties;
    constructor();
    getProjectById(id: number): Promise<ProjectAttributes>;
    getProjectIntegrationById(id: number): Promise<ProjectIntegrationResponse>;
    getUnifiedUiAndWwwUrl(): Promise<{
        [key: string]: string;
    }>;
}
