import { AmqpPublisher } from '@jfrog-pipelines/amqp-client';
import { NodePool } from '@jfrog-pipelines/data-access-layer';
export declare class NodeProvisioner {
    private logger;
    private readonly nodeService;
    private readonly buildPlaneService;
    private readonly properties;
    constructor(publisher: AmqpPublisher);
    provision(nodePool: NodePool, requiredNodes: number): Promise<void>;
    provisionBeta(nodePool: NodePool): Promise<void>;
    private filterCachedNodes;
    private filterActiveNodes;
    private filterAvailableNodes;
    private getRequiredNewNodesCount;
    private getRunningNodes;
    private calculateRequiredNodes;
    private useCacheNodes;
    private provisionActiveNodes;
    private provisionBetaNodes;
    private getNodeCreationAttributes;
}
